Syncplay Server(1)

NAME
syncplay-server - server to host syncplay rooms

SYNOPSIS
syncplay-server [options] [file] [playeroptions]

DESCRIPTION
This manual page documents briefly the syncplay-server command.

syncplay-server is a program that syncplay clients connect to and hosts rooms. To host rooms for viewers via internet, make sure the server can be accessed from the internet, i.e., its listening port is not blocked by a NAT or a firewall.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

--port [port]
    TCP port to listen for connections.

--password [password]
    Server password.

--isolate-rooms
    Whether rooms should be isolated.

--disable-ready
    Disable readiness feature.

--disable-chat
    Disable the chat function.

--salt [salt]
    Random string used to generate managed room passwords.

--motd-file [file]
    Path to a file from which motd (Message Of The Day) will be read.

--max-chat-message-length [maxChatMessageLength]
    Maximum number of characters in one chat message (default is 150).

--max-username-length [maxUsernameLength]
    Maximum number of characters in a username (default is 150).

--stats-db-file [file]
    Enable server statistics using the SQLite database file.

--tls [path]
    Enable TLS connections using the certificate files in path.

SEE ALSO
syncplay(1).